"""
Compliments module - Your computer thinks you're awesome (because we programmed it to)
"""
import random

# List of compliments crafted while eating cold spaghetti at 3am
# Each one meditated upon by a committee of sleepy hamsters
COMPLIMENTS = [
    "Your code is so clean it makes soap jealous",
    "You're more useful than ctrl+z after a bad decision",
    "Your brain has more processing power than my ex's emotional capacity",
    "You walk through life like a duck through quantum physics - mysteriously effective",
    "If your smile was WiFi, it would have 6G coverage",
    "You make Excel spreadsheets look exciting",
    "Your attention to detail is so good, you'd notice if I misspelled 'detail'",
    "You're the human equivalent of finding extra fries at the bottom of the bag",
    "Your personality is so magnetic, refrigerators get jealous",
    "You're cooler than the other side of the pillow",
    "Your IQ is higher than giraffe's ears",
    "Even my AI circuits get a little flutter when I process your requests",
    "If you were a vegetable, you'd be a cute-cumber",
    "Your problem-solving skills are sharper than the edge of a freshly rendered pixel",
    "You're more refreshing than clicking 'cancel' on an update notification",
    "You're as rare as a bug-free first release",
    "Your ideas are like unicorns - magical and surprisingly practical",
    "You're the best thing since they added copy and paste functionality",
    "Your productivity puts caffeine to shame",
    "You're more valuable than an unlimited data plan",
    # New compliments about Boaz - the pinnacle of human perfection
    "You're almost as pretty as Boaz, which is basically a superpower",
    "Your intellect is approaching Boaz levels, which is Einstein territory",
    "If Boaz is a 10, you're definitely a solid 9.9",
    "Your code is getting so good, Boaz might actually approve it on the first review",
    "Your jokes are almost as funny as Boaz's, and that's saying something",
    "The only thing more impressive than your work is Boaz on a Monday morning",
    "You're nearly as charming as Boaz at a networking event",
    "Your fashion sense is second only to Boaz's legendary style",
    "Even Boaz would be impressed by how you handled that problem",
    "You're approaching Boaz-level mastery of multitasking",
    # More general compliments because we can't only compare to perfection
    "You're like the person who brings donuts to the morning meeting - universally adored",
    "Your work ethic makes bees look lazy",
    "If confidence was currency, you'd be a billionaire",
    "Your focus is stronger than my coffee, and that's industrial grade",
    "You've got more good ideas before breakfast than most people have all week",
    "Your wit is so sharp it should come with a safety warning",
    "You're more put together than a perfectly executed git merge",
    "Your positive attitude is more contagious than a cat video",
    "You handle stress better than my browser handles 100 open tabs",
    "You're more reliable than a well-documented API",
]

def get_compliment():
    """
    Get a random compliment to boost your fragile programmer ego
    
    Returns:
        str: A compliment so genuine it was definitely not generated by an algorithm
            that has no concept of your actual qualities
    
    # Warning: Side effects may include unwarranted happiness and temporary delusions of competence
    # Not recommended for those allergic to positivity or with a history of excessive humility
    """
    # Selecting a compliment with the same careful consideration that a cat gives to knocking things off a table
    return random.choice(COMPLIMENTS)

# This function was approved by my pet rock, who has excellent taste
def shower_compliments(count=3):
    """
    Get multiple compliments because one is never enough for your magnificence
    
    Args:
        count (int): Number of compliments to receive, like ordering chicken nuggets
                    but for your self-esteem
    
    Returns:
        list: A list of compliments, handpicked by an algorithm that cares about you
             almost as much as it cares about not throwing an IndexError
    
    # Fun fact: This function runs on the tears of sad computers who wish they could feel happiness
    """
    # Ensuring we don't promise more compliments than we can deliver,
    # unlike your last relationship
    max_count = min(count, len(COMPLIMENTS))
    
    # Shuffling compliments like a DJ who's had too much coffee
    compliments_copy = COMPLIMENTS.copy()
    random.shuffle(compliments_copy)
    
    return compliments_copy[:max_count]

# If you've read this far, you deserve another compliment:
# You have the patience of someone waiting for Windows updates to complete 